Skip to main content
PUT
/
v1
/
generation-templates
/
{generation_template_uuid}
cURL
curl --request PUT \
  --url https://api.lighthousefh.com/v1/generation-templates/{generation_template_uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "development_stage": "testing",
  "display_config": {
    "group": "summary",
    "location": "summary",
    "occurring_is_positive": true
  },
  "display_name": "<string>",
  "exact_phrases": [
    {
      "match_percentage": 123,
      "phrase": "<string>"
    }
  ],
  "example_limit": 123,
  "execution_type": "summary",
  "instructions": "<string>",
  "label": "<string>",
  "organization_display_name": "<string>",
  "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template_type": "at_need"
}
'
{
  "status": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": {
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "development_stage": "testing",
    "display_config": {
      "group": "summary",
      "location": "summary",
      "occurring_is_positive": true
    },
    "display_name": "<string>",
    "execution_type": "summary",
    "instructions": "<string>",
    "label": "<string>",
    "template_type": "at_need",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "exact_phrases": [
      {
        "match_percentage": 123,
        "phrase": "<string>"
      }
    ],
    "example_limit": 123,
    "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

generation_template_uuid
string<uuid>
required

Template UUID

Body

application/json
development_stage
null | enum<string>
Available options:
testing,
live
display_config
object
display_name
string | null
exact_phrases
object[] | null
example_limit
integer<int32> | null
execution_type
null | enum<string>
Available options:
summary,
data_extraction,
occurred_with_examples,
is_true
instructions
string | null
label
string | null
organization_display_name
string | null
organization_uuid
string<uuid> | null
template_type
null | enum<string>
Available options:
at_need,
pre_need

Response

Template updated

status
string
required
timestamp
string<date-time>
required
data
object
message
string | null
request_id
string | null